<template>
  <div class="list-item">
    <div> codigo: {{ optativa.codigo_disciplina }} </div>
    <div> nome: {{ optativa.nome }} </div>
    <div> créditos aula: {{ optativa.creditos_aula }} </div>
    <div> créditos trabalho: {{ optativa.credtios_trabalho }} </div>
    <div> módulo: {{ optativa.id_modulo }} </div>

    <router-link
      class="edit_button"
      tag="div"
      to="/trilhas/edit"
      @click.native="editOptativa">
      Edit
    </router-link>

    <router-link
      class="new_button"
      tag="div"
      to="/trilhas/new"
      @click.native="newOptativa">
      New
    </router-link>

    <router-link
      class="delete_button"
      tag="div"
      to="/trilhas"
      @click.native="deleteOptativa">
      Delete
    </router-link>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  props: ['optativa'],

  methods: {
    editOptativa() {
      this.$store.commit('setActiveOptativa', { optativa: this.optativa });
      this.$store.commit('setMode', { mode: 'optativa'});
    },

    newOptativa() {
      this.$store.commit('setMode', {mode: 'optativa'});
    },

    async deleteOptativa() {
      const response = await this.$axios.$post('/rpc/deleta_optativa_modulo', {
        nusp: this.getNusp,
        cdg_disciplina: this.optativa.codigo_disciplina,
        cdg_modulo: this.optativa.codigo_modulo,
        ano_grd_optativa: this.optativa.ano_grade_optativa

      },
      { headers: {Authorization: `Bearer ${this.getToken}`} }
      );

      if(response)
        this.$router.go('/trilhas');
    }
  },

  computed: {
    ...mapGetters([
      'getToken',
      'getNusp'
    ])
  }
}
</script>

<style lang="scss">
</style>
